import 'package:wyatt_architecture/wyatt_architecture.dart';
import 'package:wyatt_notification_bloc/src/domain/entities/remote_notifications.dart';
import 'package:wyatt_notification_bloc/src/domain/repositories/notification_repository.dart';

class ListenNotification
    extends StreamUseCase<NoParam, RemoteNotificationWrapper> {
  final NotificationRepository _notificationRepository;

  ListenNotification({required NotificationRepository notificationRepository})
      : _notificationRepository = notificationRepository;
  @override
  FutureOrResult<Stream<RemoteNotificationWrapper>> call(NoParam? params) =>
      _notificationRepository.onNotificationOpened();
}
