import 'package:wyatt_architecture/wyatt_architecture.dart';
import 'package:wyatt_notification_bloc/wyatt_notification_bloc.dart';

class GetInitialMessage
    extends AsyncUseCase<NoParam, RemoteNotificationWrapper?> {
  final NotificationRepository _notificationRepository;

  GetInitialMessage({required NotificationRepository notificationRepository})
      : _notificationRepository = notificationRepository;

  @override
  FutureOrResult<RemoteNotificationWrapper?> call(NoParam? params) =>
      _notificationRepository.getInitialMessage();
}
